=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2008-10-30 05:50:30 +0000
+++ client/drizzledump.cc	2008-10-30 18:03:59 +0000
@@ -33,7 +33,7 @@
 #include <mysys/my_sys.h>
 #include <mystrings/m_string.h>
 #include <mystrings/m_ctype.h>
-#include <drizzled/hash.h>
+#include <mysys/hash.h>
 #include <stdarg.h>
 
 #include <drizzled/error.h>

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-10-30 05:50:30 +0000
+++ client/drizzletest.cc	2008-10-30 18:44:27 +0000
@@ -48,7 +48,7 @@
 
 #include <pcrecpp.h>
 
-#include <drizzled/hash.h>
+#include <mysys/hash.h>
 #include <stdarg.h>
 
 #include "errname.h"
@@ -59,7 +59,6 @@
 #define MAX_COLUMNS            256
 #define MAX_EMBEDDED_SERVER_ARGS 64
 #define MAX_DELIMITER_LENGTH 16
-
 /* Flags controlling send and reap */
 #define QUERY_SEND_FLAG  1
 #define QUERY_REAP_FLAG  2

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-10-30 05:50:30 +0000
+++ drizzled/Makefile.am	2008-10-30 18:03:59 +0000
@@ -101,7 +101,6 @@
 		gettext.h \
 		global.h \
 		handler.h \
-		hash.h \
 		item_cmpfunc.h \
 		item_create.h \
 		item_func.h \
@@ -178,7 +177,6 @@
 		field_conv.cc \
 		field_iterator.cc \
 		filesort.cc \
-		hash.cc \
 		init.cc \
 		item_buff.cc \
 		item.cc \

=== modified file 'drizzled/common_includes.h'
--- drizzled/common_includes.h	2008-10-30 05:50:30 +0000
+++ drizzled/common_includes.h	2008-10-30 18:44:27 +0000
@@ -37,21 +37,14 @@
 
 
 /* Cross-platform portability code and standard includes */
-#include <drizzled/global.h>                    
-/* Lots of system-wide struct definitions like IO_CACHE, prototypes for all my_* functions */
-#include <mysys/my_sys.h>                       
-/* Convenience functions for working with times */
-#include <mysys/my_time.h>
+#include <drizzled/global.h>
+/* Lots of system-wide struct definitions like IO_CACHE,
+   prototypes for all my_* functions */
+#include <mysys/my_sys.h>
 /* Custom C string functions */
 #include <mystrings/m_string.h>
 /* Defines for the storage engine handler -- i.e. HA_XXX defines */
 #include <drizzled/base.h>			                /* Needed by field.h */
-/* Custom queue API */
-#include <mysys/queues.h>
-/* Custom Bitmap API */
-#include <drizzled/sql_bitmap.h>
-/* Array of pointers to Elem that uses memory from MEM_ROOT */
-#include "sql_array.h"
 /* The <strong>INTERNAL</strong> plugin API - not the external, or public, server plugin API */
 #include "sql_plugin.h"
 /* Contains system-wide constants and #defines */
@@ -84,18 +77,13 @@
 #include <drizzled/sql_string.h>
 /* Custom singly-linked list lite struct and full-blown type-safe, templatized class */
 #include <drizzled/sql_list.h>
-#include "my_decimal.h"
 #include "handler.h"
 #include <drizzled/table_list.h>
-#include "sql_error.h"
 /* Drizzle server data type class definitions */
 #include <drizzled/field.h>
-#include "protocol.h"
 #include "item.h"
 
 
-#include <drizzled/sql_parse.h>
-
 #include "sql_class.h"
 
 

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2008-10-20 04:28:21 +0000
+++ drizzled/field.h	2008-10-30 18:03:59 +0000
@@ -22,6 +22,11 @@
   variables must declare the size_of() member function.
 */
 
+#ifndef DRIZZLED_FIELD_H
+#define DRIZZLED_FIELD_H
+
+#include <drizzled/sql_error.h>
+#include <drizzled/my_decimal.h>
 
 #define DATETIME_DEC                     6
 #define DOUBLE_TO_STRING_CONVERSION_BUFFER_SIZE FLOATING_POINT_BUFFER
@@ -801,3 +806,5 @@
                         const char *cannot_convert_error_pos,
                         const char *end,
                         const CHARSET_INFO * const cs);
+
+#endif /* DRIZZLED_FIELD_H */

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-10-23 02:48:56 +0000
+++ drizzled/global.h	2008-10-30 18:44:27 +0000
@@ -59,18 +59,6 @@
 #endif // __cplusplus
 
 /*
-#if TIME_WITH_SYS_TIME
-# include <sys/time.h>
-# include <time.h>
-#else
-# if HAVE_SYS_TIME_H
-#  include <sys/time.h>
-# else
-#  include <time.h>
-# endif
-#endif */ /* TIME_WITH_SYS_TIME */
-
-/*
   Temporary solution to solve bug#7156. Include "sys/types.h" before
   the thread headers, else the function madvise() will not be defined
 */

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-10-30 05:50:30 +0000
+++ drizzled/handler.cc	2008-10-30 12:27:25 +0000
@@ -20,11 +20,12 @@
 */
 
 #include <drizzled/server_includes.h>
-#include "rpl_filter.h"
+#include <drizzled/rpl_filter.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>
 #include <drizzled/data_home.h>
 #include <drizzled/probes.h>
+#include <drizzled/sql_parse.h>
 
 /*
   While we have legacy_db_type, we have this array to

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2008-10-30 05:50:30 +0000
+++ drizzled/handler.h	2008-10-30 18:03:59 +0000
@@ -26,7 +26,7 @@
 
 #include <storage/myisam/keycache.h>
 #include <mysys/thr_lock.h>
-#include <drizzled/hash.h>
+#include <mysys/hash.h>
 
 /* Bits to show what an alter table will do */
 #include <drizzled/sql_bitmap.h>

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-10-30 05:06:45 +0000
+++ drizzled/log_event.cc	2008-10-30 12:27:25 +0000
@@ -26,6 +26,7 @@
 #include <mysys/my_dir.h>
 #include <drizzled/error.h>
 #include <libdrizzle/pack.h>
+#include <drizzled/sql_parse.h>
 
 #include <algorithm>
 

=== modified file 'drizzled/my_decimal.h'
--- drizzled/my_decimal.h	2008-10-06 06:47:29 +0000
+++ drizzled/my_decimal.h	2008-10-30 18:03:59 +0000
@@ -37,6 +37,7 @@
 #endif
 
 #include <mystrings/decimal.h>
+#include <mysys/my_time.h>
 
 #ifdef __cplusplus
 }

=== modified file 'drizzled/opt_range.h'
--- drizzled/opt_range.h	2008-10-20 04:28:21 +0000
+++ drizzled/opt_range.h	2008-10-30 18:03:59 +0000
@@ -23,6 +23,7 @@
 #ifndef DRIZZLED_OPT_RANGE_H
 #define DRIZZLED_OPT_RANGE_H
 
+#include <mysys/queues.h>
 
 typedef struct st_key_part {
   uint16_t           key,part;

=== modified file 'drizzled/rpl_filter.h'
--- drizzled/rpl_filter.h	2008-10-30 05:50:30 +0000
+++ drizzled/rpl_filter.h	2008-10-30 18:03:59 +0000
@@ -21,7 +21,7 @@
 #define RPL_FILTER_H
 
 #include <libdrizzle/libdrizzle.h>
-#include <drizzled/hash.h>
+#include <mysys/hash.h>
 
 typedef struct st_table_rule_ent
 {

=== modified file 'drizzled/rpl_rli.cc'
--- drizzled/rpl_rli.cc	2008-10-29 21:21:57 +0000
+++ drizzled/rpl_rli.cc	2008-10-30 12:27:25 +0000
@@ -20,6 +20,7 @@
 #include <drizzled/sql_repl.h>
 #include <drizzled/rpl_utility.h>
 #include <drizzled/data_home.h>
+#include <drizzled/sql_parse.h>
 #include <drizzled/gettext.h>
 
 #if TIME_WITH_SYS_TIME

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-10-30 03:03:26 +0000
+++ drizzled/slave.cc	2008-10-30 12:27:25 +0000
@@ -26,14 +26,15 @@
 #include <drizzled/server_includes.h>
 
 #include <storage/myisam/myisam.h>
-#include "rpl_mi.h"
-#include "rpl_rli.h"
-#include "sql_repl.h"
-#include "rpl_filter.h"
+#include <drizzled/rpl_mi.h>
+#include <drizzled/rpl_rli.h>
+#include <drizzled/sql_repl.h>
+#include <drizzled/rpl_filter.h>
 #include <mysys/thr_alarm.h>
 #include <libdrizzle/errmsg.h>
 #include <mysys/mysys_err.h>
 #include <drizzled/error.h>
+#include <drizzled/sql_parse.h>
 #include <drizzled/gettext.h>
 #include <signal.h>
 

=== modified file 'drizzled/sql_class.h'
--- drizzled/sql_class.h	2008-10-29 21:21:57 +0000
+++ drizzled/sql_class.h	2008-10-30 06:11:22 +0000
@@ -24,8 +24,9 @@
 /* Classes in mysql */
 
 #include <drizzled/global.h>
-#include "log.h"
-#include "rpl_tblmap.h"
+#include <drizzled/log.h>
+#include <drizzled/rpl_tblmap.h>
+#include <drizzled/protocol.h>
 #include <libdrizzle/password.h>     // rand_struct
 #include <drizzled/sql_locale.h>
 #include <drizzled/scheduler.h>

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2008-10-30 05:50:30 +0000
+++ drizzled/sql_insert.cc	2008-10-30 12:27:25 +0000
@@ -28,6 +28,7 @@
 #include <drizzled/rpl_mi.h>
 #include <drizzled/error.h>
 #include <drizzled/slave.h>
+#include <drizzled/sql_parse.h>
 #include <drizzled/probes.h>
 
 /* Define to force use of my_malloc() if the allocated memory block is big */

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-10-30 02:40:49 +0000
+++ drizzled/sql_parse.cc	2008-10-30 12:27:25 +0000
@@ -15,12 +15,13 @@
 
 #define DRIZZLE_LEX 1
 #include <drizzled/server_includes.h>
-#include "sql_repl.h"
-#include "rpl_filter.h"
-#include "logging.h"
+#include <drizzled/sql_repl.h>
+#include <drizzled/rpl_filter.h>
+#include <drizzled/logging.h>
 #include <drizzled/error.h>
 #include <drizzled/nested_join.h>
 #include <drizzled/query_id.h>
+#include <drizzled/sql_parse.h>
 #include <drizzled/data_home.h>
 
 /**

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2008-10-23 02:48:56 +0000
+++ drizzled/sql_plugin.cc	2008-10-30 12:27:25 +0000
@@ -22,6 +22,7 @@
 #include <drizzled/configvar.h>
 #include <drizzled/qcache.h>
 #include <drizzled/parser.h>
+#include <drizzled/sql_parse.h>
 #include <drizzled/scheduling.h>
 
 #include <string>

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2008-10-20 04:28:21 +0000
+++ drizzled/sql_select.h	2008-10-30 18:44:27 +0000
@@ -29,6 +29,7 @@
 #define PREV_BITS(type,A)	((type) (((type) 1 << (A)) -1))
 
 #include <storage/myisam/myisam.h>
+#include <drizzled/sql_array.h>
 
 /* Values in optimize */
 #define KEY_OPTIMIZE_EXISTS		1

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2008-10-29 21:21:57 +0000
+++ drizzled/sql_table.cc	2008-10-30 12:27:25 +0000
@@ -21,6 +21,7 @@
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>
 #include <drizzled/data_home.h>
+#include <drizzled/sql_parse.h>
 
 int creating_table= 0;        // How many mysql_create_table are running
 

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-10-25 04:31:54 +0000
+++ drizzled/sql_yacc.yy	2008-10-30 12:27:25 +0000
@@ -42,6 +42,7 @@
 #include <drizzled/functions/locate.h>
 #include <drizzled/error.h>
 #include <drizzled/nested_join.h>
+#include <drizzled/sql_parse.h>
 
 int yylex(void *yylval, void *yysession);
 

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-10-29 21:21:57 +0000
+++ drizzled/table.cc	2008-10-30 12:27:25 +0000
@@ -26,6 +26,7 @@
 #include <drizzled/sj_tmp_table.h>
 #include <drizzled/nested_join.h>
 #include <drizzled/data_home.h>
+#include <drizzled/sql_parse.h>
 
 #include <string>
 

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-10-30 05:50:30 +0000
+++ mysys/Makefile.am	2008-10-30 18:03:59 +0000
@@ -37,6 +37,7 @@
 			mysys_err.h \
 			my_tree.h \
 			queues.h \
+			hash.h \
 			sha1.h \
 			thr_alarm.h \
 			my_time.h \
@@ -69,7 +70,7 @@
 			mf_qsort.c mf_qsort2.c mf_sort.c \
 			ptr_cmp.c mf_radix.c queues.c \
 			tree.c list.c array.c typelib.c \
-			my_copy.c my_lib.c \
+			my_copy.c my_lib.c hash.c \
 			my_delete.c my_rename.c my_redel.c \
 			my_quick.c my_static.c \
 			my_time.c \

=== renamed file 'drizzled/hash.cc' => 'mysys/hash.c'
--- drizzled/hash.cc	2008-10-30 05:50:30 +0000
+++ mysys/hash.c	2008-10-30 18:03:59 +0000
@@ -22,8 +22,7 @@
 /* Key length of 0 isn't allowed */
 
 #include <config.h>
-#include <drizzled/definitions.h>
-#include <drizzled/hash.h>
+#include <mysys/hash.h>
 
 const uint32_t NO_RECORD= UINT32_MAX;
 

=== renamed file 'drizzled/hash.h' => 'mysys/hash.h'
--- drizzled/hash.h	2008-10-30 05:50:30 +0000
+++ mysys/hash.h	2008-10-30 18:03:59 +0000
@@ -19,8 +19,8 @@
 
 /* Dynamic hashing of record with different key-length */
 
-#ifndef DRIZZLED_HASH_H
-#define DRIZZLED_HASH_H
+#ifndef MYSYS_HASH_H
+#define MYSYS_HASH_H
 
 #include <mysys/my_sys.h>
 

=== modified file 'mysys/my_pthread.h'
--- mysys/my_pthread.h	2008-10-23 05:19:23 +0000
+++ mysys/my_pthread.h	2008-10-30 18:03:59 +0000
@@ -19,6 +19,7 @@
 #define _my_pthread_h
 
 #include <stdint.h>
+#include <stdbool.h>
 #include <unistd.h>
 
 #ifndef ETIME

=== modified file 'storage/innobase/drizzle/ha_innodb.cc'
--- storage/innobase/drizzle/ha_innodb.cc	2008-10-30 05:50:30 +0000
+++ storage/innobase/drizzle/ha_innodb.cc	2008-10-30 18:03:59 +0000
@@ -25,7 +25,7 @@
 #include <drizzled/error.h>
 #include <mystrings/m_ctype.h>
 #include <mysys/my_sys.h>
-#include <drizzled/hash.h>
+#include <mysys/hash.h>
 #include <mysys/mysys_err.h>
 #include <drizzled/plugin.h>
 #include <drizzled/sql_show.h>

=== modified file 'storage/innobase/drizzle/i_s.cc'
--- storage/innobase/drizzle/i_s.cc	2008-10-30 05:50:30 +0000
+++ storage/innobase/drizzle/i_s.cc	2008-10-30 18:03:59 +0000
@@ -11,7 +11,7 @@
 # include <drizzled/error.h>
 # include <mystrings/m_ctype.h>
 # include <mysys/my_sys.h>
-# include <drizzled/hash.h>
+# include <mysys/hash.h>
 # include <mysys/mysys_err.h>
 # include <drizzled/plugin.h>
 #else

=== modified file 'storage/myisam/mf_keycaches.c'
--- storage/myisam/mf_keycaches.c	2008-10-30 05:50:30 +0000
+++ storage/myisam/mf_keycaches.c	2008-10-30 18:03:59 +0000
@@ -25,7 +25,7 @@
 #include <mysys/mysys_err.h>
 #include <mysys/my_sys.h>
 #include <keycache.h>
-#include <drizzled/hash.h>
+#include <mysys/hash.h>
 #include <mystrings/m_string.h>
 
 /*****************************************************************************

